package com.ss.android.ugc.aweme.bullet.api;

import X.C0665KCq;
import X.KT7;
import com.bytedance.covode.number.Covode;
import java.util.HashMap;
import java.util.List;
import org.json.JSONObject;

public interface IBulletHostProxy {
    static {
        Covode.recordClassIndex(54887);
    }

    HashMap<Class<?>, HashMap<String, Class<?>>> LIZ();

    List<C0665KCq> LIZ(KT7 kt7);

    JSONObject LIZ(String str);

    HashMap<Class<?>, HashMap<String, Class<?>>> LIZIZ();

    List<C0665KCq> LIZIZ(KT7 kt7);
}
